package config

type DatabaseSettings struct {
	Vendor   DatabaseVendor `json:"vendor"`
	Host     string         `json:"host"`
	Port     string         `json:"port"`
	Database string         `json:"database"`
	User     string         `json:"user"`
	Password string         `json:"password"`
}

type DatabaseVendor string

func (dv DatabaseVendor) String() string {
	return string(dv)
}

const (
	VendorPostgreSQL DatabaseVendor = "postgres"
	VendorOracle                    = "oracle"
)
